Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.base_cpm
Interface SynchPoint

All Superinterfaces:
  Serializable

    public interface SynchPoint

extends Serializable

Interface facilitating recovery of CollectionReaders to the last known entity

Method Summary
`void` | `deserialize(InputStream aInputStream)` Ingests SynchPoint data from the InputStream.
`Object` | `get()` Retrieves data to facilitate recovery
`String` | `serializeToXML()` Serializes internal representation of the SynchPoint to XML
`void` | `set(Object aSynchPointData)` Sets data from which to recover

Method Detail

### set

    void set(Object aSynchPointData)
             throws InvalidClassException

  Sets data from which to recover

  Parameters:
    `aSynchPointData` - - arbitrary object containing recovery infromation
  Throws:
    `InvalidClassException` - if aSynchPointData class is not supported by implementation

### get

    Object get()

  Retrieves data to facilitate recovery

  Returns:
    Object - data containing recovery information

### serializeToXML

    String serializeToXML()

  Serializes internal representation of the SynchPoint to XML

  Returns:
    - serialized SynchPoint as String

### deserialize

    void deserialize(InputStream aInputStream)
                     throws Exception

  Ingests SynchPoint data from the InputStream. InputStream contains xml representation of the SynchPoint previously generated by serializeToXML().

  Parameters:
    `aInputStream` - - xml stream containing SynchPoint data
  Throws:
    `Exception` - - unable to process the input stream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.